Bug 1193531 - (phpspec/phpspec) Review Request: php-phpspec - Specification-oriented BDD framework for PHP
Review Request: php-phpspec - Specification-oriented BDD framework for PHP
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
Depends On: phpspec/prophecy phpspec/php-diff
Blocks:
  Show dependency treegraph
 
Reported: 2015-02-17 09:45 EST by Remi Collet
Modified: 2015-05-26 17:28 EDT (History)
2 users (show)

See Also:
Fixed In Version: php-phpspec-2.2.0-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-05-11 15:03:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
redora-review.txt (6.88 KB, text/plain)
2015-05-02 13:21 EDT, Shawn Iwinski
no flags Details
phpcompatinfo.log (61.27 KB, text/plain)
2015-05-02 13:22 EDT, Shawn Iwinski
no flags Details

  None (edit)
Description Remi Collet 2015-02-17 09:45:33 EST
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/74536a9955944d25dcee79d2020ee3af112ee68c/php/phpspec/php-phpspec/php-phpspec.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-phpspec-2.1.1-1.remi.src.rpm
Description: 
phpspec is a tool which can help you write clean and working PHP code
using behaviour driven development or BDD. BDD is a technique derived
from test-first development.

BDD is a technique used at story level and spec level. phpspec is a tool
for use at the spec level or SpecBDD. The technique is to first use a tool
like phpspec to describe the behaviour of an object you are about to write.
Next you write just enough code to meet that specification and finally you
refactor this code.

Fedora Account System Username: remi

-- 

As usually, I plan to clean the EL-5 sutff after import.
Comment 2 Shawn Iwinski 2015-05-02 13:21:52 EDT
Created attachment 1021169 [details]
redora-review.txt

Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1193531
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
Comment 3 Shawn Iwinski 2015-05-02 13:22:40 EDT
Created attachment 1021170 [details]
phpcompatinfo.log

phpCompatInfo version 3.7.3
Comment 4 Shawn Iwinski 2015-05-02 13:24:38 EDT
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

As usual, remove EPEL5 bits after initial import.


No blockers


===== APPROVED =====
Comment 5 Remi Collet 2015-05-04 01:34:36 EDT
Thanks!

New Package SCM Request
=======================
Package Name: php-phpspec
Short Description: Specification-oriented BDD framework for PHP
Upstream URL: http://www.phpspec.net/
Owners: remi
Branches: f21 f22 epel7
InitialCC:
Comment 6 Gwyn Ciesla 2015-05-04 15:46:49 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2015-05-05 01:57:10 EDT
php-phpspec-2.2.0-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/php-phpspec-2.2.0-1.el7
Comment 8 Fedora Update System 2015-05-05 01:59:22 EDT
php-phpspec-2.2.0-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/php-phpspec-2.2.0-1.fc22
Comment 9 Fedora Update System 2015-05-05 01:59:28 EDT
php-phpspec-2.2.0-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/php-phpspec-2.2.0-1.fc21
Comment 10 Fedora Update System 2015-05-06 13:24:44 EDT
php-phpspec-2.2.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository.
Comment 11 Fedora Update System 2015-05-11 15:03:37 EDT
php-phpspec-2.2.0-1.fc22 has been pushed to the Fedora 22 stable repository.
Comment 12 Fedora Update System 2015-05-17 02:41:21 EDT
php-phpspec-2.2.0-1.fc21 has been pushed to the Fedora 21 stable repository.
Comment 13 Fedora Update System 2015-05-26 17:28:07 EDT
php-phpspec-2.2.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository.

Note You need to log in before you can comment on or make changes to this bug.